#!/bin/sh

echo "+++++ Checking current user rights..."

if [ "$(id -u root)" = "$(id -u)" ] ; then
    :
else
    echo "ERROR: The current user id is not root (`id|awk '{print $1}'`)."
    exit 1
fi
echo

if [ "X$PVSW_ROOT" = "X" ] ; then
    PVSW_ROOT=/usr/local/psql
fi

##########################################################################
#  Note: Any changes to the files to be removed must be made to the 
#        corresponding PSQL-Clients-Linux-Access.spec file %postun section. 
##########################################################################
echo "+++++ Removing PSQL Client Access Files..."
rm -f $PVSW_ROOT/lib/lib*
rm -f $PVSW_ROOT/lib/pam*
rm -f $PVSW_ROOT/bin/psregsvr
rm -f $PVSW_ROOT/etc/clientaccess*

echo
echo "Uninstall has successfully completed."
echo



















